Subject: Re: feature request: excluding files/paths from "git grep"

From: Michael J Gruber <[email-masked]>
Date: Fri, 27 Feb 2015 16:13:13 +0100

Junio C Hamano venit, vidit, dixit 26.02.2015 21:59:
> Michael J Gruber <[email-masked]> writes:
> 
>> So, as a summary of the discussion, it seems it's time to switch the
>> default to --textconv for git grep?
> 
> Hmmm, why?
> 
> Nobody seems to be asking for such a change in this thread.  The
> original issue IIRC was that the grep output was unnecessary for
> some paths and the repository did not mark these paths as such.
> Once they are marked as "-diff", there is no reason why you want to
> trigger textconv to squelch the hits from grep.

Of course not. All that I want, and that I wanted back then, was to have
diff and grep behave the same.

> So that does not sound to me a summary of the discussion at all.
> 

Well, your conditional

> I do not recall its conclusion, but it it were "Yes, that is what it
> means", then it might be reasonable to:
> 
>  - have "git grep" ignore paths marked with -diff by default
>    (perhaps "-a" option to disable, just like GNU)
> 
>  - have "git grep" pay attention to diff.textconv and search in the
>    result of textconv filter.

and Jeff's "Yes" on that condition certainly read like that to me: Make
"git grep" react to "diff", "-diff" attributes in the same way as "git
diff".

But I've set up my alias greppp since then and don't care any more, and
I won't invest anything in this topic any more.

Michael